Bug 1269936 - [abrt] evolution: g_wakeup_new(): evolution killed by SIGTRAP
[abrt] evolution: g_wakeup_new(): evolution killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1fd668b410953f8a0ff7bf2c33f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 10:08 EDT by Ankur Sinha (FranciscoD)
Modified: 2016-12-20 09:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:55:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (73.67 KB, text/plain)
2015-10-08 10:08 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-08 10:08 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: core_backtrace (113.41 KB, text/plain)
2015-10-08 10:08 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: dso_list (29.68 KB, text/plain)
2015-10-08 10:08 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: environ (2.06 KB, text/plain)
2015-10-08 10:08 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-08 10:08 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: maps (158.50 KB, text/plain)
2015-10-08 10:08 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: mountinfo (3.44 KB, text/plain)
2015-10-08 10:08 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-08 10:08 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: open_fds (92.21 KB, text/plain)
2015-10-08 10:08 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-10-08 10:08 EDT, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description Ankur Sinha (FranciscoD) 2015-10-08 10:08:18 EDT
Version-Release number of selected component:
evolution-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        evolution
crash_function: g_wakeup_new
executable:     /usr/bin/evolution
global_pid:     29957
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1168033
Comment 1 Ankur Sinha (FranciscoD) 2015-10-08 10:08:22 EDT
Created attachment 1081018 [details]
File: backtrace
Comment 2 Ankur Sinha (FranciscoD) 2015-10-08 10:08:23 EDT
Created attachment 1081019 [details]
File: cgroup
Comment 3 Ankur Sinha (FranciscoD) 2015-10-08 10:08:25 EDT
Created attachment 1081020 [details]
File: core_backtrace
Comment 4 Ankur Sinha (FranciscoD) 2015-10-08 10:08:27 EDT
Created attachment 1081021 [details]
File: dso_list
Comment 5 Ankur Sinha (FranciscoD) 2015-10-08 10:08:28 EDT
Created attachment 1081022 [details]
File: environ
Comment 6 Ankur Sinha (FranciscoD) 2015-10-08 10:08:30 EDT
Created attachment 1081023 [details]
File: limits
Comment 7 Ankur Sinha (FranciscoD) 2015-10-08 10:08:32 EDT
Created attachment 1081024 [details]
File: maps
Comment 8 Ankur Sinha (FranciscoD) 2015-10-08 10:08:33 EDT
Created attachment 1081025 [details]
File: mountinfo
Comment 9 Ankur Sinha (FranciscoD) 2015-10-08 10:08:34 EDT
Created attachment 1081026 [details]
File: namespaces
Comment 10 Ankur Sinha (FranciscoD) 2015-10-08 10:08:36 EDT
Created attachment 1081027 [details]
File: open_fds
Comment 11 Ankur Sinha (FranciscoD) 2015-10-08 10:08:38 EDT
Created attachment 1081028 [details]
File: proc_pid_status
Comment 12 Milan Crha 2015-10-15 02:53:46 EDT
Thanks for a bug report. The error of the crash is "Creating pipes for GWakeup: Too many open files", which means that the limit of opened file descriptors was reached. Looking into the list of opened files, there are opened 1024 of them, most of them being eventfd, which suggests a leak of some structure which uses them. If I recall correctly, it's a GMainContext/GMainLoop and GCancellable, for those being used the most often. The backtrace also shows that there are ongoing searches for contact photos; maybe it's related, maybe not.

It would be good to try to figure out after which action the eventfd is left opened. You can get the count of opened eventfd descriptors with this command:
   $ lsof -p `pidof evolution` | grep eventfd -c

It can increase after some action, for sure when you'll select a new message to be viewed in the preview panel, because it'll open a new thread(s) with search for the sender's photo. Once these searches are done (or cancelled), the eventfd count should decrease again.
Comment 13 Ankur Sinha (FranciscoD) 2015-10-15 06:36:40 EDT
Hi Milan,

I tried the command you've mentioned above and got these values at different times - 

[asinha@cs-as14aho-2-herts-ac-uk  ~]$ lsof -p `pidof evolution` | grep eventfd -c
837
[asinha@cs-as14aho-2-herts-ac-uk  ~]$ lsof -p `pidof evolution` | grep eventfd -c
835
[asinha@cs-as14aho-2-herts-ac-uk  ~]$ lsof -p `pidof evolution` | grep eventfd -c
841
[asinha@cs-as14aho-2-herts-ac-uk  ~]$ lsof -p `pidof evolution` | grep eventfd -c
841
[asinha@cs-as14aho-2-herts-ac-uk  ~]$ lsof -p `pidof evolution` | grep eventfd -c
840
[asinha@cs-as14aho-2-herts-ac-uk  ~]$ lsof -p `pidof evolution` | grep eventfd -c
840
[asinha@cs-as14aho-2-herts-ac-uk  ~]$ lsof -p `pidof evolution` | grep eventfd -c
840

The last few are from when I'd clicked "Send/receive" and it was syncing my 6 e-mail accounts.

Cheers,
Ankur
Comment 14 Milan Crha 2015-10-15 11:46:14 EDT
Thanks for the update. The cunts do not look that bad. The 840 is quite many files being opened, but the count doesn't increase after the Send/Receive, thus that part seems to be safe for now. I suppose that certain actions will increase the count, but will not decrease it when the action is over. That will be the sign on the leak. Note that some actions can take longer to finish, even without any user visible feedback.
Comment 15 Fedora End Of Life 2016-11-24 07:43:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 09:55:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.